package net.woodyfolsom.cs6601.p3.domain;

import java.util.Date;


public class Headline {
	public Headline() {		
	}
	
	private int dataset;
	private int id;
	private Date date;
	private String stock;
	private String text;
	
	public Headline(String stock, String text, Date date, int dataset) {
		this.stock = stock;
		this.text = text;
		this.date = date;
		this.dataset = dataset;
	}

	public int getDataset() {
		return dataset;
	}

	public void setDataset(int dataset) {
		this.dataset = dataset;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getStock() {
		return stock;
	}

	public void setStock(String stock) {
		this.stock = stock;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}
	
	@Override
	public String toString() {
		return text;
	}
	
}